package probe

import (
	"context"
)

func New(configDir string) Probe {
	p := &probe{
		configDir: configDir,
	}

	return p
}

type Probe interface {
	Start() error
	Shutdown(ctx context.Context) error
}

type probe struct {
	configDir string
}

func (p *probe) Start() error {

	return nil
}

func (p *probe) Shutdown(ctx context.Context) error {

	return nil
}
